const mongoose = require('mongoose');
const config = require('../config/config').get(process.env.NODE_ENV);
// const { DATABASE } = require('../config/config');
const { Name } = require('../model/name');

mongoose.Promise = global.Promise;
console.log("config.DATABASE", config.DATABASE);
mongoose.connect(config.DATABASE, { useNewUrlParser: true, useUnifiedTopology: true });

const deleteAll = () => {
  Name.deleteMany({}, (err)=>{
    if(err){
      console.log("err", err);
      return;
    }
  })
}

const newName = () => {
  Name.create({first: 'Yarden2', last:'Bitan2'}, (err, doc) => {
    if(err) {
      console.log("err create", err);
      return 
    }
    console.log('creates', doc);
  })
}

const getNames = async () => {
  let names = "nothing";
  await Name.find({}, (err, docs) => {
    if(err) names = err;

    console.log("names", names);
    names = docs;
  })

  return names;
}

module.exports = { newName, getNames, deleteAll };